# Uses of Enum Class
org.eclipse.emf.compare.internal.dmp.diff_match_patch.Operation

Packages that use diff_match_patch.Operation
Package
Description
org.eclipse.emf.compare.internal.dmp

## Uses of diff_match_patch.Operation in org.eclipse.emf.compare.internal.dmp

Fields in org.eclipse.emf.compare.internal.dmp declared as diff_match_patch.Operation
Modifier and Type
Field
Description
`diff_match_patch.Operation`
diff_match_patch.Diff.`operation`
One of: INSERT, DELETE or EQUAL.
Methods in org.eclipse.emf.compare.internal.dmp that return diff_match_patch.Operation
Modifier and Type
Method
Description
`static diff_match_patch.Operation`
diff_match_patch.Operation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static diff_match_patch.Operation[]`
diff_match_patch.Operation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.emf.compare.internal.dmp with parameters of type diff_match_patch.Operation
Modifier
Constructor
Description
``
`Diff(diff_match_patch.Operation operation, String text)`
Constructor.